/*    KESR . */

/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA ADD (tempKESR varchar2(20))
/

update LAYERDATA set tempKESR = KESR
/

DROP INDEX IDX_LAYERDATA_KESR
/

ALTER TABLE LAYERDATA DROP (KESR)
/

ALTER TABLE LAYERDATA ADD (KESR varchar2(20))
/

update LAYERDATA set KESR = tempKESR
/

ALTER TABLE LAYERDATA DROP (tempKESR)
/

CREATE INDEX IDX_LAYERDATA_KESR ON LAYERDATA(KESR)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE
  v_exists INTEGER;
BEGIN
  SELECT COUNT(*)
  INTO v_exists
  FROM USER_TAB_COLUMNS
  WHERE TABLE_NAME = 'LAYERDATA'
  AND COLUMN_NAME = 'KESR'
  AND DATA_TYPE = 'NUMBER';
  IF (v_exists > 0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA ADD (tempKESR varchar2(20))';
    EXECUTE IMMEDIATE 'update LAYERDATA set tempKESR = KESR';
    EXECUTE IMMEDIATE 'DROP INDEX IDX_LAYERDATA_KESR';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA DROP (KESR)';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA ADD (KESR varchar2(20))';
    EXECUTE IMMEDIATE 'update LAYERDATA set KESR = tempKESR';
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA DROP (tempKESR)';
    EXECUTE IMMEDIATE 'CREATE INDEX IDX_LAYERDATA_KESR ON LAYERDATA(KESR)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;
END;
/
