/*    SubKESR . */

/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA_FLOAT ADD (tempSubKESR varchar2(20))
/

update LAYERDATA_FLOAT set tempSubKESR = SubKESR
/

DROP INDEX IDX_LD_FLOAT_SubKESR
/

ALTER TABLE LAYERDATA_FLOAT DROP (SubKESR)
/

ALTER TABLE LAYERDATA_FLOAT ADD (SubKESR varchar2(20))
/

update LAYERDATA_FLOAT set SubKESR = tempSubKESR
/

ALTER TABLE LAYERDATA_FLOAT DROP (tempSubKESR)
/

CREATE INDEX IDX_LD_FLOAT_SubKESR ON LAYERDATA_FLOAT(SubKESR)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE
  v_exists INTEGER;
BEGIN
  SELECT COUNT(*)
  INTO v_exists
  FROM USER_TABLES
  WHERE TABLE_NAME = 'LAYERDATA_FLOAT';
  IF (v_exists > 0) THEN
    SELECT COUNT(*)
    INTO v_exists
    FROM USER_TAB_COLUMNS
    WHERE TABLE_NAME = 'LAYERDATA_FLOAT'
    AND COLUMN_NAME = 'SUBKESR'
    AND DATA_TYPE = 'NUMBER';
    IF (v_exists > 0) THEN
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT ADD (tempSubKESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_FLOAT set tempSubKESR = SubKESR';
      EXECUTE IMMEDIATE 'DROP INDEX IDX_LD_FLOAT_SubKESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT DROP (SubKESR)';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT ADD (SubKESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_FLOAT set SubKESR = tempSubKESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT DROP (tempSubKESR)';
      EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_SubKESR ON LAYERDATA_FLOAT(SubKESR)';
      EXECUTE IMMEDIATE 'COMMIT WORK';
    END IF;
  END IF;
END;
/
